﻿using Newtonsoft.Json;
using Prism.Mvvm;

namespace APICLientSample
{
    [JsonObject(MemberSerialization.OptOut)]
    public class APIResult<T> : BindableBase
    {
        private string _statusCode;
        private string _statusDescription;
        private T _returnValue;
        public string statusCode
        {
            get { return _statusCode; }
            set { SetProperty(ref _statusCode, value); }
        }
        public string statusDescription
        {
            get { return _statusDescription; }
            set { SetProperty(ref _statusDescription, value); }
        }
        public T returnValue
        {
            get { return _returnValue; }
            set { SetProperty(ref _returnValue, value); }
        }
    }

}
