﻿using Newtonsoft.Json;
using Prism.Mvvm;

namespace APICLientSample
{
    [JsonObject(MemberSerialization.OptOut)]
    public class Biometric : BindableBase
    {
        private string _modality;
        private byte[] _image;
        private byte[] _template;
        public string modality
        {
            get { return _modality; }
            set { SetProperty(ref _modality, value); }
        }
        public byte[] image
        {
            get { return _image; }
            set { SetProperty(ref _image, value); }
        }
        public byte[] template
        {
            get { return _template; }
            set { SetProperty(ref _template, value); }
        }
    }

}
