﻿using Newtonsoft.Json;
using Prism.Mvvm;

namespace APICLientSample
{
    [JsonObject(MemberSerialization.OptOut)]
    public class Employee : BindableBase
    {
        private string _employeeCode;
        private string _firstName;
        private string _lastName;
        private string _loginName;
        private string _password;
        private string _email;
        private int _status;
        public string employeeCode
        {
            get { return _employeeCode; }
            set { SetProperty(ref _employeeCode, value); }
        }
        public string firstName
        {
            get { return _firstName; }
            set { SetProperty(ref _firstName, value); }
        }
        public string lastName
        {
            get { return _lastName; }
            set { SetProperty(ref _lastName, value); }
        }
        public string loginName
        {
            get { return _loginName; }
            set { SetProperty(ref _loginName, value); }
        }
        public string password
        {
            get { return _password; }
            set { SetProperty(ref _password, value); }
        }
        public string email
        {
            get { return _email; }
            set { SetProperty(ref _email, value); }
        }
        public int status
        {
            get { return _status; }
            set { SetProperty(ref _status, value); }
        }
    }

}
