﻿using Newtonsoft.Json;
using Prism.Mvvm;
using System;

namespace APICLientSample
{
    [JsonObject(MemberSerialization.OptOut)]
    public class AttendanceEvent : BindableBase
    {
        private string _employeeCode;
        private DateTime? _inTime;
        private DateTime? _outTime;
        private string _shiftName;
        private int _tzOffset; // in  seconds

        public string employeeCode
        {
            get { return _employeeCode; }
            set { SetProperty(ref _employeeCode, value); }
        }
        public DateTime? inTime
        {
            get { return _inTime; }
            set { SetProperty(ref _inTime, value); }
        }
        public DateTime? outTime
        {
            get { return _outTime; }
            set { SetProperty(ref _outTime, value); }
        }
        public string shiftName
        {
            get { return _shiftName; }
            set { SetProperty(ref _shiftName, value); }
        }
        public int tzOffset
        {
            get { return _tzOffset; }
            set { SetProperty(ref _tzOffset, value); }
        } // in  seconds
    }
}
